var player = null
function initMp4Player(elementId, coverUrl, videoUrl) {
    player = videojs(document.getElementById(elementId), {
        controls: true, // 是否显示控制条
        poster: coverUrl, // 视频封面图地址
        preload: 'auto',
        autoplay: true,
        fluid: false, // 自适应宽高
        language: 'zh-CN', // 设置语言
        muted: false, // 是否静音
        inactivityTimeout: false,
        controlBar: { // 设置控制条组件
            /* 使用children的形式可以控制每一个控件的位置，以及显示与否 */
            children: [
                {name: 'playToggle'}, // 播放按钮
                {name: 'currentTimeDisplay'}, // 当前已播放时间
                {name: 'progressControl'}, // 播放进度条
                {name: 'durationDisplay'}, // 总时间
                { // 倍数播放
                    name: 'playbackRateMenuButton',
                    'playbackRates': [0.5, 1, 1.5, 2, 2.5]
                },
                {
                    name: 'volumePanel', // 音量控制
                    inline: false, // 不使用水平方式
                },
                {name: 'FullscreenToggle'} // 全屏
            ]
        },
        sources:[ // 视频源
            {
                src: videoUrl,
                type: 'video/mp4',
                poster: coverUrl
            }
        ]
    }, function (){
    });
}

function initFlvPlayer(elementId, coverUrl, videoUrl) {
    if (flvjs.isSupported()) {
        var flvPlayer = flvjs.createPlayer(
            {
                type: 'flv',
                isLive: true,
                url: videoUrl,
                duration: 0,
                filesize: 0,
                enableStashBuffer: false,
                hasAudio: false,
                hasVideo: true
            },
            {
                enableWorker: false, //不启用分离线程
                enableStashBuffer: false, //关闭IO隐藏缓冲区
                reuseRedirectedURL: true, //重用301/302重定向url，用于随后的请求，如查找、重新连接等。
                autoCleanupSourceBuffer: true //自动清除缓存
            }
        );
        flvPlayer.attachMediaElement(document.getElementById(elementId));
        flvPlayer.load();
    }
}

function reloadPlayer(coverUrl, videoUrl) {
    if (player !== null) {
        player.reset()
        player.src([
            {
                src: videoUrl,
                type: 'video/mp4',
                poster: coverUrl
            }
        ])
        player.load()
        player.play()
    }
}

function getYearMonthDay(date) {
    const year = date.getFullYear().toString().padStart(4, '0')
    const month = (date.getMonth() + 1).toString().padStart(2, '0')
    const day = date.getDate().toString().padStart(2, '0')
    return year + '-' + month + '-' + day
}

function getYearMonth(date) {
    var currentYear = date.getFullYear()
    var currentMonth = date.getMonth()+1
    var monthArray = []
    for (var i = 1; i <= 12; i++) {
        var monthStr = i.toString().padStart(2, '0')
        monthArray.push(currentYear + '-' + monthStr + '-' + '01')
    }

    const year = date.getFullYear().toString().padStart(4, '0')
    const month = (date.getMonth() + 1).toString().padStart(2, '0')
    // const day = date.getDate().toString().padStart(2, '0')
    // const hour = date.getHours().toString().padStart(2, '0')
    // const minute = date.getMinutes().toString().padStart(2, '0')
    // const second = date.getSeconds().toString().padStart(2, '0')
    // 2023-02-16 08:25:05
    // console.log(`${year}-${month}-${day} ${hour}:${minute}:${second}`)
    return year + '-' + month
}